Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface ISimpleElementFactory

All Known Implementing Classes:
  SimpleElementFactory

    public interface ISimpleElementFactory

The factory class to create scriptable objects.

Field Summary
`static int` | `MULTI_ROW_ITEM`
`static int` | `SIMPLE_ROW_ITEM`

Method Summary
`IAction` | `createAction()` Create the action structure.
`IAction` | `createAction(ActionHandle action, ReportItemHandle handle)` Creates the action structure.
`IDataBinding` | `createDataBinding()` Creates the data biinding structure.
`IDataBinding` | `createDataBinding(ComputedColumn column)` Creates the data biinding structure.
`IDataBinding` | `createDataBinding(ComputedColumnHandle columnHandle)` Creates the data biinding structure.
`IDataSet` | `createDataSet(DataSetHandle handle)` Creates the IDataSet instance.
`IDataSource` | `createDataSource(DataSourceHandle handle)` Creates the IDataSource instance.
`IExpression` | `createExpression()` Creates `IExpression` instance.
`IFilterCondition` | `createFilterCondition()` Creates the filter structure.
`IFilterCondition` | `createFilterCondition(FilterCondition condition)` Creates the IFilterCondition instance.
`IFilterCondition` | `createFilterCondition(FilterConditionHandle handle)` Creates the IFilterCondition instance.
`IFilterConditionElement` | `createFilterConditionElement(FilterConditionElementHandle handle)` Creates `IFilterConditionElement` instance.
`IHideRule` | `createHideRule()` Create `IHideRule` instance
`IHideRule` | `createHideRule(HideRule rule)` Create `IHideRule` instance
`IHideRule` | `createHideRule(HideRuleHandle handle)` Create `IHideRule` instance
`IHighlightRule` | `createHighlightRule()` Create `IHighlightRule` instance
`IHighlightRule` | `createHighlightRule(HighlightRule highlightRule)` Create `IHighlightRule` instance
`IHighlightRule` | `createHighlightRule(HighlightRuleHandle handle)` Create `IHighlightRule` instance
`IResultSetColumn` | `createResultSetColumn()` Creates the IResultSetColumn instance.
`IResultSetColumn` | `createResultSetColumn(ResultSetColumnHandle columnHandle)` Creates the IResultSetColumn instance.
`ISortCondition` | `createSortCondition()` Creates the sort structure.
`ISortCondition` | `createSortCondition(SortKey sort)` Creates the sort structure.
`ISortCondition` | `createSortCondition(SortKeyHandle sortHandle)` Creates the sort structure.
`ISortElement` | `createSortElement(SortElementHandle handle)` Create `ISortElement` instance.
`IStyle` | `createStyle(StyleHandle style)` Create `IStyle` instance
`IDesignElement` | `getElement(DesignElementHandle handle)` Creates the IDesignElement instance.
`IReportItem` | `wrapExtensionElement(ExtendedItemHandle handle, int type)` Creates the scriptable object for the corresponding element handles.

Field Detail

### MULTI_ROW_ITEM

    static final int MULTI_ROW_ITEM

See Also:
  Constant Field Values

### SIMPLE_ROW_ITEM

    static final int SIMPLE_ROW_ITEM

See Also:
  Constant Field Values

Method Detail

### wrapExtensionElement

    IReportItem wrapExtensionElement(ExtendedItemHandle handle,
                                     int type)

  Creates the scriptable object for the corresponding element handles.

  Parameters:
    `handle` - the element handle
    `type` - the expected data row type. Can be `MULTI_ROW_ITEM` or `EMPTY_ROW_ITEM`
  Returns:
    the scriptable object

### createHideRule

    IHideRule createHideRule()

  Create `IHideRule` instance

  Returns:
    IHideRule

### createHideRule

    IHideRule createHideRule(HideRule rule)

  Create `IHideRule` instance

  Parameters:
    `rule` - the structure to create corresponding IHideRule instance.
  Returns:
    IHideRule

### createHideRule

    IHideRule createHideRule(HideRuleHandle handle)

  Create `IHideRule` instance

  Parameters:
    `handle` - the element handle to create corresponding IHideRule instance.
  Returns:
    IHideRule

### createFilterCondition

    IFilterCondition createFilterCondition()

  Creates the filter structure.

  Returns:
    the filter

### createFilterCondition

    IFilterCondition createFilterCondition(FilterCondition condition)

  Creates the IFilterCondition instance.

  Parameters:
    `condition` - the structure to create corresponding IFilterCondition instance.
  Returns:
    the IFilterCondition instance

### createFilterCondition

    IFilterCondition createFilterCondition(FilterConditionHandle handle)

  Creates the IFilterCondition instance.

  Parameters:
    `handle` - the element handle to create corresponding IFilterCondition instance.
  Returns:
    the IFilterCondition instance

### createDataBinding

    IDataBinding createDataBinding()

  Creates the data biinding structure.

  Returns:
    the data binding

### createDataBinding

    IDataBinding createDataBinding(ComputedColumnHandle columnHandle)

  Creates the data biinding structure.

  Parameters:
    `columnHandle` - the computed column handle
  Returns:
    the data binding

### createDataBinding

    IDataBinding createDataBinding(ComputedColumn column)

  Creates the data biinding structure.

  Parameters:
    `column` - the computed column
  Returns:
    the data binding

### createSortCondition

    ISortCondition createSortCondition()

  Creates the sort structure.

  Returns:
    the sort

### createSortCondition

    ISortCondition createSortCondition(SortKey sort)

  Creates the sort structure.

  Parameters:
    `sort` - the structure to create corresponding ISortCondition instance.
  Returns:
    the sort

### createSortCondition

    ISortCondition createSortCondition(SortKeyHandle sortHandle)

  Creates the sort structure.

  Parameters:
    `handle` - the element handle that holds the SortCondition structure
  Returns:
    the sort

### createAction

    IAction createAction(ActionHandle action,
                         ReportItemHandle handle)

  Creates the action structure.

  Parameters:
    `action` - the structure handle
    `handle` - the element handle that holds the action structure
  Returns:
    the action

### createAction

    IAction createAction()

  Create the action structure.

  Returns:
    the action.

### getElement

    IDesignElement getElement(DesignElementHandle handle)

  Creates the IDesignElement instance.

  Parameters:
    `handle` - the element handle to create corresponding IDesignElement instance.
  Returns:
    the IDesignElement instance

### createDataSet

    IDataSet createDataSet(DataSetHandle handle)

  Creates the IDataSet instance.

  Parameters:
    `handle` - the element handle to create corresponding IDataSet instance.
  Returns:
    the IDataSet instance

### createResultSetColumn

    IResultSetColumn createResultSetColumn(ResultSetColumnHandle columnHandle)

  Creates the IResultSetColumn instance.

  Parameters:
    `handle` - the element handle to create corresponding IResultSetColumn instance.
  Returns:
    the IResultSetColumn instance

### createResultSetColumn

    IResultSetColumn createResultSetColumn()

  Creates the IResultSetColumn instance.

  Returns:
    the IResultSetColumn instance

### createDataSource

    IDataSource createDataSource(DataSourceHandle handle)

  Creates the IDataSource instance.

  Parameters:
    `handle` - the element handle to create corresponding IDataSource instance.
  Returns:
    the IDataSource instance

### createHighlightRule

    IHighlightRule createHighlightRule()

  Create `IHighlightRule` instance

  Returns:
    IHighlightRule

### createHighlightRule

    IHighlightRule createHighlightRule(HighlightRule highlightRule)

  Create `IHighlightRule` instance

  Parameters:
    `highlightRule` - the structure to create corresponding IHighlightRule instance.
  Returns:
    IHighlightRule

### createHighlightRule

    IHighlightRule createHighlightRule(HighlightRuleHandle handle)

  Create `IHighlightRule` instance

  Parameters:
    `handle` - the element handle to create corresponding IHighlightRule instance.
  Returns:
    IHighlightRule

### createStyle

    IStyle createStyle(StyleHandle style)

  Create `IStyle` instance

  Parameters:
    `handle` - the element handle to create corresponding IStyle instance.
  Returns:
    IStyle

### createFilterConditionElement

    IFilterConditionElement createFilterConditionElement(FilterConditionElementHandle handle)

  Creates `IFilterConditionElement` instance.

  Parameters:
    `handle` - the filterConditionElement handle to create corresponding IFilterConditionElement instance.
  Returns:
    IFilterConditionElement

### createSortElement

    ISortElement createSortElement(SortElementHandle handle)

  Create `ISortElement` instance.

  Parameters:
    `handle` - the handle to create corresponding ISortElement instance.
  Returns:
    ISortElement

### createExpression

    IExpression createExpression()

  Creates `IExpression` instance.

  Returns:
    IExpression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.